Skip to main content
POST
Set customer property

Authorizations

Authorization
string
header
required

API key authentication via Bearer token

Headers

idempotency-key
string

Key that makes this request safe to retry. Reuse the same value when retrying a request that may already have succeeded — the original response is replayed with an Idempotency-Replay: true header. Use a new value for a new operation.

Required string length: 1 - 255
Example:

"9f8c2b1a-4d3e-4a6b-8c1d-2e3f4a5b6c7d"

Path Parameters

id
string<uuid>
required

Customer UUID

Example:

"123e4567-e89b-12d3-a456-426614174000"

Body

application/json
value
required
key
string
Pattern: ^[a-z][a-z0-9_]{0,62}$
definitionId
string<uuid>
status
enum<string>
Available options:
confirmed,
suggested
label
string
Minimum string length: 1
valueType
enum<string>
Available options:
text,
number,
boolean,
date,
url,
select,
multi_select
sources
object[]

Response

Nothing new was stored: the value already exists, or the suggestion was suppressed

data
object
required
meta
object
Last modified on October 6, 2026